classification
Title: test_functools dead code after FIXME
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cheryl.sabella, lukasz.langa, lys.nikolaou
Priority: normal Keywords: patch

Created on 2018-11-15 01:14 by lys.nikolaou, last changed 2019-05-19 23:54 by lys.nikolaou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10551 merged lys.nikolaou, 2018-11-15 01:30
Messages (4)
msg329937 - (view) Author: Lysandros Nikolaou (lys.nikolaou) * Date: 2018-11-15 01:14
In test_functools.TestSingleDispatch.test_invalid_registrations (https://github.com/python/cpython/blob/4c596d54aa6a55e9d2a3db78891e656ebbfb63c8/Lib/test/test_functools.py#L2299) there is a FIXME with an immediate return afterwards that says that the code after the return should only be allowed to run after PEP 560 is implemented. Now that it is implemented the dead code should work fine, so the return has to be deleted.
msg329940 - (view) Author: Lysandros Nikolaou (lys.nikolaou) * Date: 2018-11-15 02:05
It actually seems like the test after the FIXME is wrong and should be changed or deleted altogether. Can someone give a pointer or two on what would be the best choice here?
msg342707 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-17 11:03
@lukasz.langa added this FIXME comment originally, so nosying him for a review.
msg342875 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-05-19 22:11
New changeset d673810b9d9df6fbd29f5b7db3973d5adae10fd3 by Łukasz Langa (Lysandros Nikolaou) in branch 'master':
bpo-35252: Remove FIXME from test_functools (GH-10551)
https://github.com/python/cpython/commit/d673810b9d9df6fbd29f5b7db3973d5adae10fd3
History
Date User Action Args
2019-05-19 23:54:37lys.nikolaousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-19 22:11:24lukasz.langasetmessages: + msg342875
2019-05-17 11:03:54cheryl.sabellasetnosy: + cheryl.sabella, lukasz.langa
messages: + msg342707
2018-11-15 02:05:32lys.nikolaousetmessages: + msg329940
2018-11-15 01:30:23lys.nikolaousetkeywords: + patch
stage: patch review
pull_requests: + pull_request9797
2018-11-15 01:14:23lys.nikolaoucreate